Bug 1447201 - Review Request: nodejs-http-server - Simple, zero-configuration command-line http server
Summary: Review Request: nodejs-http-server - Simple, zero-configuration command-line ...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1444765 1444766 1444822 1445130 1446459 1446568 1446571 1447230
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-02 06:07 UTC by Parag Nemade
Modified: 2017-06-02 04:11 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-06-02 04:11:20 UTC
jsmith.fedora: fedora-review+


Attachments (Terms of Use)

Description Parag Nemade 2017-05-02 06:07:31 UTC
Spec URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-http-server.spec
SRPM URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-http-server-0.9.0-1.fc26.src.rpm

Description:
http-server is a simple, zero-configuration command-line http server. It is powerful
enough for production usage, but it's simple and hackable enough to be used for
testing, local development, and learning.

Comment 1 Jared Smith 2017-05-31 13:50:35 UTC
Please shorten the description line, and optionally fix the interpreter
line in /usr/bin/http-server.  Otherwise, the package is APPROVED.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 14 files have
     unknown license. Detailed output of licensecheck in
     /home/jsmith/Documents/Personal/Reviews/1447201-nodejs-http-
     server/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.4.1 starting (python version = 3.6.1)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled HW Info plugin
Mock Version: 1.4.1
INFO: Mock Version: 1.4.1
Finish: chroot init
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled HW Info plugin
Mock Version: 1.4.1
INFO: Mock Version: 1.4.1
Finish: chroot init
INFO: installing package(s): /home/jsmith/Documents/Personal/Reviews/1447201-nodejs-http-server/results/nodejs-http-server-0.9.0-1.fc27.noarch.rpm
ERROR: Command failed: 
 # /usr/bin/systemd-nspawn -q -M bf00906b825f4ec78866823475bf02e1 -D /var/lib/mock/fedora-rawhide-x86_64-bootstrap/root -a --setenv=TERM=vt100 --setenv=SHELL=/bin/bash --setenv=HOME=/builddir --setenv=HOSTNAME=mock --setenv=PATH=/usr/bin:/bin:/usr/sbin:/sbin --setenv=PROMPT_COMMAND=printf "\033]0;<mock-chroot>\007" --setenv=PS1=<mock-chroot> \s-\v\$  --setenv=LANG=en_US.UTF-8 --setenv=LC_MESSAGES=C /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 27 --disableplugin=local --setopt=deltarpm=false install /home/jsmith/Documents/Personal/Reviews/1447201-nodejs-http-server/results/nodejs-http-server-0.9.0-1.fc27.noarch.rpm



Rpmlint
-------
Checking: nodejs-http-server-0.9.0-1.fc27.noarch.rpm
          nodejs-http-server-0.9.0-1.fc27.src.rpm
nodejs-http-server.noarch: W: spelling-error %description -l en_US hackable -> hack able, hack-able, hackle
nodejs-http-server.noarch: E: description-line-too-long C http-server is a simple, zero-configuration command-line http server. It is powerful
nodejs-http-server.noarch: W: only-non-binary-in-usr-lib
nodejs-http-server.noarch: E: wrong-script-interpreter /usr/bin/http-server /usr/bin/env node
nodejs-http-server.noarch: W: dangling-symlink /usr/lib/node_modules/http-server/node_modules/colors /usr/lib/node_modules/colors
nodejs-http-server.noarch: W: dangling-symlink /usr/lib/node_modules/http-server/node_modules/corser /usr/lib/node_modules/corser
nodejs-http-server.noarch: W: dangling-symlink /usr/lib/node_modules/http-server/node_modules/ecstatic /usr/lib/node_modules/ecstatic
nodejs-http-server.noarch: W: dangling-symlink /usr/lib/node_modules/http-server/node_modules/http-proxy /usr/lib/node_modules/http-proxy
nodejs-http-server.noarch: W: dangling-symlink /usr/lib/node_modules/http-server/node_modules/opener /usr/lib/node_modules/opener
nodejs-http-server.noarch: W: dangling-symlink /usr/lib/node_modules/http-server/node_modules/optimist /usr/lib/node_modules/optimist
nodejs-http-server.noarch: W: dangling-symlink /usr/lib/node_modules/http-server/node_modules/portfinder /usr/lib/node_modules/portfinder
nodejs-http-server.noarch: W: dangling-symlink /usr/lib/node_modules/http-server/node_modules/union /usr/lib/node_modules/union
nodejs-http-server.noarch: W: no-manual-page-for-binary http-server
nodejs-http-server.src: W: spelling-error %description -l en_US hackable -> hack able, hack-able, hackle
nodejs-http-server.src: E: description-line-too-long C http-server is a simple, zero-configuration command-line http server. It is powerful
nodejs-http-server.src:17: W: mixed-use-of-spaces-and-tabs (spaces: line 17, tab: line 7)
2 packages and 0 specfiles checked; 3 errors, 13 warnings.




Requires
--------
nodejs-http-server (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs
    nodejs(engine)
    npm(colors)
    npm(corser)
    npm(ecstatic)
    npm(http-proxy)
    npm(opener)
    npm(optimist)
    npm(portfinder)
    npm(union)



Provides
--------
nodejs-http-server:
    nodejs-http-server
    npm(http-server)



Source checksums
----------------
https://github.com/indexzero/http-server/archive/0.9.0.tar.gz :
  CHECKSUM(SHA256) this package     : 4ba9267dd73192290e0eaa8c086806369078d8de1408adad3f682080db85149b
  CHECKSUM(SHA256) upstream package : 4ba9267dd73192290e0eaa8c086806369078d8de1408adad3f682080db85149b


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1447201
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Gwyn Ciesla 2017-05-31 15:51:53 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/nodejs-http-server

Comment 3 Parag Nemade 2017-06-02 04:11:20 UTC
Built in rawhide.


Note You need to log in before you can comment on or make changes to this bug.